"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFormKitInput = useFormKitInput;
var _vue = require("vue");
function useFormKitInput(context) {
  const styleClass = (0, _vue.computed)(() => {
    return context?.state.validationVisible && !context?.state.valid ? `${context?.attrs?.class} p-invalid` : context?.attrs?.class;
  });
  const wrapperClass = (0, _vue.computed)(() => {
    return context?.wrapperClass ? `p-formkit ${context?.wrapperClass}` : "p-formkit ";
  });
  function handleBlur(event) {
    context?.handlers.blur(event);
  }
  function handleChange(_) {
    context?.node.input(context?._value);
  }
  function handleInput(_) {
    context?.node.input(context?._value);
  }
  function handleSelect(e) {
    context?.node.input(e);
  }
  return {
    styleClass,
    wrapperClass,
    handleBlur,
    handleChange,
    handleInput,
    handleSelect
  };
}