import { computed } from "vue";
export function useFormKitInput(context) {
  const styleClass = computed(() => {
    return context?.state.validationVisible && !context?.state.valid ? `${context?.attrs?.class} p-invalid` : context?.attrs?.class;
  });
  const wrapperClass = computed(() => {
    return context?.wrapperClass ? `p-formkit ${context?.wrapperClass}` : "p-formkit ";
  });
  function handleBlur(event) {
    context?.handlers.blur(event);
  }
  function handleChange(_) {
    context?.node.input(context?._value);
  }
  function handleInput(_) {
    context?.node.input(context?._value);
  }
  function handleSelect(e) {
    context?.node.input(e);
  }
  return { styleClass, wrapperClass, handleBlur, handleChange, handleInput, handleSelect };
}
